Method: projects.locations.instances.updateConfig

Update Notebook Instance configurations.

HTTP request

PATCH https://notebooks.googleapis.com/v1/{name}:updateConfig

Path parameters

Parameters
name

string

Required. Format: projects/{projectId}/locations/{location}/instances/{instanceId}

Authorization requires the following IAM permission on the specified resource name:

  • notebooks.instances.updateConfig

Request body

The request body contains data with the following structure:

JSON representation
{
  "config": {
    object (InstanceConfig)
  }
}
Fields
config

object (InstanceConfig)

The instance configurations to be updated.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

For more information, see the Authentication Overview.

InstanceConfig

Notebook instance configurations that can be updated.

JSON representation
{
  "notebookUpgradeSchedule": string,
  "enableHealthMonitoring": boolean
}
Fields
notebookUpgradeSchedule

string

Cron expression in UTC timezone, used to schedule instance auto upgrade. Please follow the cron format.

enableHealthMonitoring

boolean

Verifies core internal services are running.